<?php
/*
Plugin Name: Mimoza SEO Araçları
Plugin URI: https://mimozabilisim.com/wordPress-eklentileri/
Description: Web sitenizi optimize etmek için SEO araçları içeren bir eklenti. [mimoza_seo_tools] shortcode'unu kullanarak araçları sayfanıza ekleyebilirsiniz.
Version: 1.0
Author: Onur Kalafat
Author URI: https://mimozabilisim.com
License: GPL2
*/

// Shortcode fonksiyonumuzu tanımlıyoruz
function mimoza_seo_tools_shortcode() {
    ob_start();
    ?>
    <div class="seo-tool-container">
        <h2>Anahtar Kelime Analizi</h2>
        <input type="text" id="keyword" placeholder="Anahtar kelimeyi girin">
        <br><br>
        <textarea id="content" rows="10" cols="50" placeholder="Metni buraya yapıştırın"></textarea>
        <br><br>
        <button id="analyze-button">Çalıştır</button>
        <p>Anahtar Kelime Sayısı: <span id="count">0</span></p>
        <div id="highlightedContent" style="white-space: pre-wrap;"></div>
    </div>
    <?php
    return ob_get_clean();
}

// Shortcode'u kaydediyoruz
add_shortcode('mimoza_seo_tools', 'mimoza_seo_tools_shortcode');

// JavaScript ve CSS dosyalarını eklentiye dahil ediyoruz
function mimoza_seo_tools_enqueue_assets() {
    // Kendi JavaScript dosyamızı dahil etmek
    wp_enqueue_script('mimoza-seo-tools-script', plugins_url('assets/script.js', __FILE__), array('jquery'), null, true);

    // CSS dosyasını dahil etmek
    wp_enqueue_style('mimoza-seo-tools-style', plugins_url('assets/style.css', __FILE__));
}
add_action('wp_enqueue_scripts', 'mimoza_seo_tools_enqueue_assets');
?>
